# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Namespaces | Functions
video_format_defaults.h File Reference
`#include <libdirac_common/common.h>`

Go to the source code of this file.

## Namespaces
namespace | dirac
| Definition of class SequenceHeaderByteIO.

## Functions
void | dirac::SetDefaultCodecParameters (CodecParams &cparams, PictureType ptype, unsigned int num_refs)
| Sets default codec parameters - common to encoder and decoder.
void | dirac::SetDefaultEncoderParameters (EncoderParams &encparams)
| Sets default encoder parameters.
void | dirac::SetDefaultSourceParameters (const VideoFormat &vf, SourceParams &sparams)
| Sets default Source parameters.
void | dirac::SetDefaultBlockParameters (OLBParams &bparams, const VideoFormat &video_format)
| Sets default block parameters.
void | dirac::SetDefaultBlockParameters (OLBParams &bparams, int pidx)
| Sets default block parameters.
unsigned int | dirac::BlockParametersIndex (const OLBParams &bparams)
| Returns index of block parameters in Defaults table.
void | dirac::SetDefaultTransformFilter (const PictureType ptype, const VideoFormat video_format, WltFilter &wf)
| Sets the default Transform filter depending on picture type.

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.